// file: $USFS/class/image_eval/v1.0/imgev_clean_0.cc
//

// system include files
//
//#include <stdio.h>

// isip include files
//
#include "image_eval.h"
#include <integral_constants.h>

// method: cleanup_cc
//
// arguments:
//  char_1** &fnames_a: (input/output) buffer containing image names
//  int_4 num_items_a: (input) containing number of image's names
//
// return:
//  logical_1 to indicate status
//
// This method frees up the memory allocated for data buffer used in
// program.
//
//
logical_1 Image_eval::cleanup_cc(char_1** &fnames_a, int_4 num_items_a) {

  // free up spaces assigned to buffer
  //
  for (int_4 i = 0; i < num_items_a; i++) {
    delete [] fnames_a[i++];
  }
  delete [] fnames_a;

  return ISIP_TRUE;
}
