// file: $USFS/class/image_eval/v1.0/imgev_avg_0.cc
//

// system include files
//
#include <stdlib.h>

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: average_cc
//
// arguments:
//   float_4* values_a: (input) reference value buffer
//   int_4 num_items_a: (input) number of reference data
//
// return:
//   float_4 average of set of scores
//
// This method calculates the average of the scores.
//
//
float_4 Image_eval::average_cc(float_4* values_a, int_4 num_items_a) {

  float_4 sum=0;
  
  for (int_4 i = 0; i < num_items_a; i++) {
    sum += values_a[i];
  }

  // return the average
  //
  return (sum/num_items_a);

}






